Skip to main content
GET
List tasks

Authorizations

x-API-Key
string
header
required

Query Parameters

limit
integer
default:100

Maximum number of items to return

Required range: 1 <= x <= 1000
offset
integer
default:0

Number of items to skip for pagination

Required range: x >= 0
sort
string

Sort field and direction (e.g. status.createdAt:-1, dueDate:1)

Response

List of tasks

status
object
required

Entity Status information

title
string | null
required

Title of the task

identifierNumber
integer | null
required

Task identifier number (task number for each task type)

_id
string<objectid>

Unique identifier of the entity

number
integer

Unique number of the entity, used for identification

companyId
string<objectid>

The ID of the company this entity belongs to

chatId
string<objectid> | null

ID of the chat associated with this entity

taskStatus
enum<string> | null

Status of the task

Available options:
new,
open,
in_progress,
in_review,
completed,
cancelled
taskType
any | null

Type of the task

taskTypeId
string<objectid> | null

Task type ID

taskTemplate
Task Template DTO · object | null

Task template reference

description
string | null

Description of the task

contactPerson
string | null

Contact person of the task

email
string | null

Email of the task

telephone
string | null

Telephone of the task

assignee
RelatedEntity · object

An entity related to a task (user, object, customer, etc.)

dueDate
any | null

Due date

firstStartedAt
any | null

time stamp when the task was first moved away from "new" status

firstTerminatedAt
any | null

time stamp when the task was first moved to "completed" status

lastTerminatedAt
any | null

time stamp when the task was last moved to "completed" or "cancelled" status

complaintCreatedAt
any | null

time stamp when the complaint that is the source of this task was created (to keep reaction times)

tags
string[]

Tags for categorization

priority
string

Task priority

Related entities

documentIds
string<objectid>[]

Document IDs related to this task

formTemplateIds
string<objectid>[]

Form templates generated together with this task

formSummaries
Task Form Summary · object[]

Forms linked to this task

callId
string<objectid>

Call ID related to this task

sourceEmailId
string<objectid>

Source email (EmailMessage) this task was created from

completionResponse
string | null

Completion comment or response text